package org.sakaiproject.wontovlab.dao.impl;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.sakaiproject.wontovlab.dao.AccessControlDao;
import org.sakaiproject.wontovlab.model.AccessControl;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

/**
 * Implementations of any specialized DAO methods from the specialized DAO 
 * that allows the developer to extend the functionality of the generic dao package
 * @author Sakai App Builder -AZ
 */
public class AccessControlDaoImpl 
	extends HibernateDaoSupport 
		implements AccessControlDao {

	private static Log log = LogFactory.getLog(AccessControlDaoImpl.class);

	public void init() {
		log.debug("init");
	}
	

	
	public boolean saveAccessControl(AccessControl accessControl) {
		getHibernateTemplate().saveOrUpdate(accessControl);
		return true;
	}


}
